cmake_minimum_required(VERSION 3.1)

project(config-sdmsteppe)

# TODO remove this hack when camx issue with propagating c and cpp glags is solved
set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DTARGET_ION_ABI_VERSION=2")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_TIMELAPSE_APP")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_AVCODEC_GTEST")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_AVCODEC_TEST")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_AVCODEC_AUDIO_DECODE_TEST")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_AVCODEC_AUDIO_ENCODE_TEST")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_OVERLAY_TEST")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DTARGET_USES_LIBION")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DFLUSH_RESTART_NOTAVAILABLE")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_PP_JPEG")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_VID_LPM")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_VID_QP_RANGE")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DTARGET_USES_GBM")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_OP_MODES")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DQCAMERA3_TAG_LOCAL_COPY")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DCAM_ARCH_V2")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DJPEG_BLOB_OFFSET=0")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DHFR_THRESHOLD=120")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DUSE_FPS_IDX")

set(PLATFORM_CXX_FLAGS "${PLATFORM_CXX_FLAGS} -DDISABLE_RESCALER_COLORSPACE")

set(TARGET_USES_GBM "1" PARENT_SCOPE)

set(DISABLE_VIDEO_TIMELAPSE "1" PARENT_SCOPE)

set(DISABLE_PP_JPEG "1" PARENT_SCOPE)

set(DISABLE_RESCALER_COLORSPACE "1" PARENT_SCOPE)

set(DISABLE_TIMELAPSE_APP "1" PARENT_SCOPE)

set(DISABLE_AVCODEC_GTEST "1" PARENT_SCOPE)

set(DISABLE_AVCODEC_TEST "1" PARENT_SCOPE)

set(DISABLE_AVCODEC_AUDIO_DECODE_TEST "1" PARENT_SCOPE)

set(DISABLE_AVCODEC_AUDIO_ENCODE_TEST "1" PARENT_SCOPE)

set(DISABLE_OVERLAY_TEST "1" PARENT_SCOPE)

set(TARGET_USES_LIBION  "1" PARENT_SCOPE)

if(BUILD_CATEGORY STREQUAL "BASE" OR BUILD_CATEGORY STREQUAL "ALL")

set(CAMERAADAPTOR_ENABLED "1" PARENT_SCOPE)
set(QMMF_UTILS_ENABLED "1" PARENT_SCOPE)
set(JPEG_ENCODER_ENABLED "1" PARENT_SCOPE)
set(EXIF_GENERATOR_ENABLED "1" PARENT_SCOPE)
set(AVQUEUE_ENABLED "1" PARENT_SCOPE)
set(OVERLAY_ENABLED "1" PARENT_SCOPE)
set(RESIZER_C2D_ENABLED "1" PARENT_SCOPE)
set(RESIZER_FASTCV_ENABLED "1" PARENT_SCOPE)
set(MEMORY_ENABLED "1" PARENT_SCOPE)

endif()

if(BUILD_CATEGORY STREQUAL "AVCODEC" OR BUILD_CATEGORY STREQUAL "ALL")

set(AVCODEC_LIB_ENABLED "1" PARENT_SCOPE)

endif()

if(BUILD_CATEGORY STREQUAL "RECORDER" OR BUILD_CATEGORY STREQUAL "ALL")

set(RECORDER_CLIENT_ENABLED "1" PARENT_SCOPE)
set(RECORDER_SERVICE_ENABLED "1" PARENT_SCOPE)

endif()

if(BUILD_CATEGORY STREQUAL "SERVER" OR BUILD_CATEGORY STREQUAL "ALL")

set(QMMF_SERVER_ENABLED "1" PARENT_SCOPE)

endif()

if(BUILD_CATEGORY STREQUAL "TESTS" OR BUILD_CATEGORY STREQUAL "ALL")

set(AVCODEC_GTEST_ENABLED "1" PARENT_SCOPE)
set(AVCODEC_SAMPLES_ENABLED "1" PARENT_SCOPE)
set(RECORDER_SAMPLES_ENABLED "1" PARENT_SCOPE)
set(RECORDER_GTEST_ENABLED "1" PARENT_SCOPE)
set(CAMERAADAPTOR_GTEST_ENABLED "1" PARENT_SCOPE)
set(OVERLAY_TEST_ENABLED "1" PARENT_SCOPE)
set(RECORDER_TIMELAPSE_ENABLED "1" PARENT_SCOPE)
set(RECORDER_VIDEOTIMELAPSE_ENABLED "1" PARENT_SCOPE)

endif()

set(PLATFORM_CXX_FLAGS ${PLATFORM_CXX_FLAGS} PARENT_SCOPE)
